%=========================================================================
%
%  Copyright (c) 2008 Thomas Yeo and Mert Sabuncu
%  All rights reserved.
%
%Redistribution and use in source and binary forms, with or without
%modification, are permitted provided that the following conditions are met:
%
%    * Redistributions of source code must retain the above copyright notice,
%      this list of conditions and the following disclaimer.
%
%    * Redistributions in binary form must reproduce the above copyright notice,
%      this list of conditions and the following disclaimer in the documentation
%      and/or other materials provided with the distribution.
%
%    * Neither the names of the copyright holders nor the names of future
%      contributors may be used to endorse or promote products derived from this
%      software without specific prior written permission.
%
%THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
%ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
%WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
%DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
%ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
%(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
%LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
%ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
%(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
%SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    
%
%=========================================================================

function DisplaySpheres(hemi, SUBJECTS_DIR, subject, spherical_surface, geometric_features)

% DisplaySpheres(hemi, SUBJECTS_DIR, subject, spherical_surface, geometric_features)
% 
% Directory assumption is that the subject is found in SUBJECTS_DIR/subject/
% spherical surface and geometric features are both found in SUBJECTS_DIR/subject/surf/
% 
% example:
%           DisplaySpheres('lh', '/afs/csail/group/vision/cortex/ythomas/work/MARS/example_surfaces/', 'OAS1_0001_MR1', 'sphere', 'sulc');

SD_atlas = CreateDefaultAtlasParm(hemi);
SD_atlas.parms.SUBJECT = subject;
SD_atlas.parms.surf_filename = spherical_surface;
SD_atlas.parms.data_filename_cell = {geometric_features};

SD_atlas.parms.SUBJECTS_DIR = SUBJECTS_DIR;

SD_sbjMesh = MARS2_readSbjMesh(SD_atlas.parms);

TrisurfMeshData(SD_sbjMesh, SD_sbjMesh.data, 1); shading interp;
view(250, 20);